
Showroom Mobile Banking - Bug #14868

MB & IB - FAQ change to ngrx data

23 November 2022 02:24 PM - chok yee fan

Status: Closed Start date: 23 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

issue

-------

FAQ currently not yet using ngrx data, need to change it to ngrx data.

expected

-------

FAQ using ngrx data.

Could refer web-showroom login-ant-design.component.ts

retrieve-customer-entity.service.ts

login-main-entity-metadata.ts

shared-login-main-data-access.module.ts

History

#1 - 23 November 2022 02:25 PM - chok yee fan

video

https://silverlakeaxisltd-my.sharepoint.com/:v:/g/personal/chokyf_silverglobe_com/EYUjDrMfW65PqXeXNUgnPasB9a6XmoHoHfWwEjyIwE8BDw?e=

6UjEV4

#2 - 15 December 2022 09:52 AM - chok yee fan

- Status changed from New to Resolved

- Assignee changed from Dika Wardani to Hoo Dextor

Revision #220089 Committed by dika 29/11/2022, 12:47 pm dika: convert faq to ngrx data

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps

showroom-mb/src/app/faq

faq.module.ts

faq.ts

web-showroom/src/app/faq

faq.module.ts

faq.ts

libs/shared/faq/src

lib

faq-entity-metadata.ts

get-faq-list-entity.service.ts

get-faq-list-executor.ts

get-faq-list-from-json-entity.service.ts

shared-faq.module.ts

index.ts

Revision #220111 Committed by dika 30/11/2022, 10:53 am dika: remove executor on faq ngrx data

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps

showroom-mb/src/app/faq

faq.ts

web-showroom/src/app/faq

faq.ts
https://silverlakeaxisltd-my.sharepoint.com/:v:/g/personal/chokyf_silverglobe_com/EYUjDrMfW65PqXeXNUgnPasB9a6XmoHoHfWwEjyIwE8BDw?e=6UjEV4
https://silverlakeaxisltd-my.sharepoint.com/:v:/g/personal/chokyf_silverglobe_com/EYUjDrMfW65PqXeXNUgnPasB9a6XmoHoHfWwEjyIwE8BDw?e=6UjEV4


libs/shared/faq/src

lib

get-faq-list-entity.service.ts

get-faq-list-executor.ts

get-faq-list-from-json-entity.service.ts

index.ts

Revision #220143 Committed by dika 01/12/2022, 4:11 pm dika: update subscribing entities on faq page

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps

showroom-mb/src/app/faq

faq.ts

web-showroom/src/app/faq

faq.ts

libs/shared-assets/src/lib/cc_mib_ws/api/v1/ribms

getFaqList.json

#3 - 11 September 2023 10:11 AM - Hoo Dextor

- Status changed from Resolved to Closed
